﻿<%@ Control Language="C#" Inherits="RSM.wvSelector.ConfigPage" AutoEventWireup="True"
    CodeBehind="wvSelector.Config.ascx.cs" %>
<%@ Register TagPrefix="asiweb" Assembly="Asi.Web" Namespace="Asi.Web.UI.WebControls" %>
<!--
$URL: https://svn.mcgladreycloud.com/repos/NonClient/wvSuite/trunk/wvSuite/wvSelector.Config.ascx $
$Rev: 11014 $
$Date: 2016-05-11 14:50:05 -0500 (Wed, 11 May 2016) $
-->
<%-- Javascript for interactive parts of configuration --%>
<script type="text/javascript">
    function TypeChanged(cName, index) {

// Get Value of selected control and Index
        var elm = document.getElementById(cName);
        var tmp = index + "_Type";
        var base = cName.substring(0, cName.length - tmp.length);
        var box = base + index + "_ValueBox";
        var list = base + index + "_ValueList";

        if (elm != null) {
            // Now get element value
            if (elm.value === "0" || elm.value === "1") {
                // Display Text box and hide list
                if (document.getElementById(box) != null)
                    document.getElementById(box).style.display = 'block';
                if (document.getElementById(list) != null)
                    document.getElementById(list).style.display = 'none';
            }
            else {
                if (document.getElementById(box) != null)
                    document.getElementById(box).style.display = 'none';
                if (document.getElementById(list) != null)
                    document.getElementById(list).style.display = 'block';
            }
        }
        else
            alert('can not find control!');

    }

    function FormatChanged(cName, index) {

// Get Value of selected control and Index
        var elm = document.getElementById(cName);
        var tmp = index + "_FormatType";
        var base = cName.substring(0, cName.length - tmp.length);
        var cf = base + index + "_CustomFormat";

        if (elm != null) {
            // Now get element value
            if (elm.value === "99") {
                // Display Text box and hide list
                if (document.getElementById(cf) != null)
                    document.getElementById(cf).style.display = 'block';
            }
            else {
                if (document.getElementById(cf) != null)
                    document.getElementById(cf).style.display = 'none';
            }
        }
        else
            alert('can not find control!');
    }

    function GetSelectedDocument() {
        // name of the hidden field holding selected document key
        var hh = 'SelectedDocumentKey';
        return hh;
    }

    function SelectDocumentObject(openParams, columnIndex) {
        // Save column Index to the Hidden Helper
        document.getElementById(GetSelectedDocument()).value = columnIndex;
        OpenObjectBrowser(openParams, SetDocumentObject, true);
    }

    function SetDocumentObject(window, documentKey) {
        var helper = document.getElementById(GetSelectedDocument());

        if (documentKey !== null && documentKey !== "") {
            if (helper.value === "")
                helper.value = documentKey;
            else
                helper.value += "|" + documentKey;
        }

// Now if we have two values in Helper we can submit the form
        var resultsArray = helper.value.split("|");

        if (resultsArray.length === 2) {
// We cool - We can submit the page
            document.forms[0].submit();
        }
        else {
// Something wrong - reset helper and do NOTHING
            helper.value = "";
        }
    }

</script>

<asp:UpdatePanel ID="update1" runat="server">
    <contenttemplate>
		
        <h2 class="wvConfig">wvSelector configuration</h2>
        <h3 class="wvConfig">This section</h3>
        <asiweb:SmartControl ID="sc_SectionTitle" runat="server" BoundPropertyName="SectionTitle" DisplayCaption="true" PositionCaption="Left" />
        <asiweb:SmartControl ID="sc_Instructions" runat="server" BoundPropertyName="Instructions" DisplayCaption="true" PositionCaption="Left" RenderPanelField="True"/>
        <asiweb:SmartControl ID="sc_CurrentPageCode" runat="server" BoundPropertyName="CurrentPageCode" DisplayCaption="true" PositionCaption="Left" />
        <div class="AutoWidth">
            <asiweb:SmartControl ID="sc_LockWithParent" runat="server" BoundPropertyName="LockWithParent" DisplayCaption="true" PositionCaption="Right"/>
        </div>
        <h3 class="wvConfig">Detail page</h3>
        <asiweb:SmartControl ID="sc_TargetPage" runat="server" BoundPropertyName="TargetPage" DisplayCaption="true" PositionCaption="Left"/>
        <asiweb:SmartControl ID="sc_ChildPageType" runat="server" BoundPropertyName="ChildPageType" DisplayCaption="true" PositionCaption="Left"/>
        <div class="AutoWidth">
            <asiweb:SmartControl ID="sc_IncludeIdOnUrl" runat="server" BoundPropertyName="IncludeIdOnUrl" DisplayCaption="true" PositionCaption="Right"/>
		</div>

        <h3 class="wvConfig">Creating new items</h3>
        <div class="AutoWidth">
            <asiweb:SmartControl ID="sc_AllowAdd" runat="server" BoundPropertyName="AllowAdd" DisplayCaption="true" PositionCaption="Right"/>
            <asiweb:SmartControl ID="sc_UserAssignSelector" runat="server" BoundPropertyName="UserAssignSelector" DisplayCaption="true" PositionCaption="Right"/>
        </div>
        <asiweb:SmartControl ID="sc_AddTooltip" runat="server" BoundPropertyName="AddTooltip" DisplayCaption="true" PositionCaption="Left"/>
        <div class="AutoWidth">
            <asiweb:SmartControl ID="sc_EnableLogging" runat="server" BoundPropertyName="EnableLogging" DisplayCaption="true" PositionCaption="Right"/>
        </div>
        <asiweb:SmartControl ID="sc_MaxPrivilege" runat="server" BoundPropertyName="MaxPrivilege" DisplayCaption="true" PositionCaption="Left"/>
        <asiweb:SmartControl ID="sc_MaxUnprivilege" runat="server" BoundPropertyName="MaxUnprivilege" DisplayCaption="true" PositionCaption="Left"/>
        <asiweb:SmartControl ID="sc_MaxItemsText" runat="server" BoundPropertyName="MaxItemsText" DisplayCaption="true" PositionCaption="Left"/>
	
        <h3 class="wvConfig">IQA Query</h3>		
        <table>
            <tr class="Required">
                <td class="PanelTablePrompt">IQA Query:</td>
                <td class="PanelTableValue"><asiweb:SmartControl ID="sc_IQAQuery" runat="server" OnDataChange="QueryChanged" BoundPropertyName="IQAQuery" DisplayCaption="false" PositionCaption="Left" AutoPostBack="true"/>
                    <asp:Button ID="btnGo" runat="server" Text="Refresh" OnClick="GoClick" Visible="false" />
                    <asp:Label runat="server">Note: if you modify the query definition, you must return here, save and publish.</asp:Label></td>
            </tr>
            <%--Special Panel to display IQA Errors - unknown IQA Query and Incorrect Query and No Access--%>
            <tr id="panIQAErr" runat="server" Visible="false">
                <td colspan="2" class="Error"><asp:Label ID="lblIQAError" runat="server"/></td>
            </tr>

            <%-- Query properties or details --%>
            <tr>
                <td colspan="2">
                    <asp:Panel ID="panSettings" runat="server" Visible="true" EnableViewState="true">
                        <asiweb:PanelTemplateControl ID="lblSettings" TemplateTitle="Query Settings" runat="server" FieldSet="true" ShowHeader="true" BorderStyle="None" >
                            <asp:Table ID="tblSettings"  runat="server"  BorderWidth="2px" CellPadding="4" CellSpacing="4" Width="99%" EnableViewState="true" />
                        </asiweb:PanelTemplateControl>
                    </asp:Panel>
                </td>
            </tr>

            <%--Now we need to display list of columns for our our Query and allow user to selct which of them can be filtered--%>
            <tr>
                <td colspan="2">
                    <asiweb:PanelTemplateControl ID="lblFiltering" TemplateTitle="Filtering by column" runat="server" FieldSet="true" ShowHeader="true" BorderStyle="None" Collapsed="true">
                        <table width="99%">
                            <tr>
                                <td class="PanelTablePrompt">Enable Column Filters</td>
                                <td class="PanelTableValue">
                                    <asp:Label ID="lblCols" runat="server"/>
                                    <asp:CheckBoxList ID="chkColumns" runat="server" EnableViewState="true" />
                                </td>
                            </tr>
                        </table>
                    </asiweb:PanelTemplateControl>
                </td>
            </tr>
            <%-- Navigation Settings --%>
            <tr>
                <td colspan="2">
                    <asiweb:PanelTemplateControl ID="lblNavigation" TemplateTitle="Query Settings" runat="server" FieldSet="true" ShowHeader="true" BorderStyle="None" Collapsed="true" >
                        <asp:Table ID="tblNavigation" runat="server" BorderWidth="2px" CellPadding="4" CellSpacing="4" Width="99%" EnableViewState="true" />
                    </asiweb:PanelTemplateControl>
                </td>
            </tr>

            <%-- Formatting by column --%>
            <tr>
                <td colspan="2">
                    <asiweb:PanelTemplateControl ID="lblFormats" TemplateTitle="Formatting Options" runat="server" FieldSet="true" ShowHeader="true" BorderStyle="None"  Collapsed="true" >

                        <%--<asp:Label ID="lblNavigation" runat="server" CssClass="PanelTablePrompt"/>--%>
                        <asp:Table ID="tblFormats" runat="server" BorderWidth="2px" CellPadding="4" CellSpacing="4" Width="99%" EnableViewState="true"/>
                    </asiweb:PanelTemplateControl>
                </td>
            </tr>
        </table>

        <asp:HiddenField ID="hdnParamsCount" runat="server" Value="0" />

        <asp:Button ID="Button1" runat="server" Text="Refresh" visible="false"/>
        <asp:HiddenField ClientIDMode="Static" ID="SelectedDocumentKey" runat="server" EnableViewState="false"/>
	
        <asp:Label runat="server" ID="VersionDisplay" CssClass="McGladreyVersion"/>

    </contenttemplate>
</asp:UpdatePanel>