﻿<%@ Control Language="C#" Inherits="RSM.wvActivity.DisplayClass" AutoEventWireup="True"
    CodeBehind="wvActivity.Display.ascx.cs" %>
<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>
<%@ Register TagPrefix="asiweb" Assembly="Asi.Web" Namespace="Asi.Web.UI.WebControls" %>
<!--
$URL: https://svn.mcgladreycloud.com/repos/NonClient/wvSuite/trunk/wvSuite/wvActivity.Display.ascx $
$Rev: 11228 $
$Date: 2016-07-21 10:33:18 -0500 (Thu, 21 Jul 2016) $
-->

<asiweb:StyledLabel runat="server" ID="ConfigDisplay" CssClass="McGladreyVersion"/>
<div class="error">
    <asp:Label runat="server" CssClass="Important Error" ID="lblLicenseError" Visible="false"/>
</div>
<asp:Panel ID="wvActivityForm" runat="server" EnableViewState="true" Visible="true" CssClass="wvActivityForm">
    <asp:Table ID="ActivityTable" CellPadding="4" CellSpacing="4" runat="server">
        <asp:TableRow ID="tr_ActivityType" runat="server" Visible="true">
            <asp:TableCell ID="tc_lbl_activityType" runat="server" Visible="true" CssClass="PanelTablePrompt">
                <asp:Label ID="lbl_activityType" runat="server" CssClass="Required" AssociatedControlID="ddlActivityTypes">Type</asp:Label>
            </asp:TableCell>
            <asp:TableCell ID="tc_ddlActivityTypes" runat="server" Visible="true" CssClass="PanelTableValue">
                <asp:DropDownList ID="ddlActivityTypes" runat="server" AutoPostBack="true">
                </asp:DropDownList>
            </asp:TableCell>
        </asp:TableRow>
        <asp:TableRow ID="tr_TransactionDate" runat="server" Visible="true">
            <asp:TableCell ID="tc_lbl_transactionDate" runat="server" Visible="true" CssClass="PanelTablePrompt">
                <asp:Label ID="lbl_transactionDate" runat="server" CssClass="Required" AssociatedControlID="dtp_transactionDate">Date</asp:Label>
            </asp:TableCell>
            <asp:TableCell ID="tc_dtp_transactionDate" runat="server" Visible="true" CssClass="PanelTableValue">
                <telerik:RadDatePicker id="dtp_transactionDate" runat="server" Visible="true" ShowButton="False"
                    CausesValidation="True" />
            </asp:TableCell>
        </asp:TableRow>
        <asp:TableRow ID="tr_EffDate" runat="server" Visible="false">
            <asp:TableCell ID="tc_lbl_effDate" runat="server" Visible="false" CssClass="PanelTablePrompt">
                <asp:Label ID="lbl_effDate" runat="server" Visible="false" AssociatedControlID="dtp_effDate">Eff Date</asp:Label>
            </asp:TableCell>
            <asp:TableCell ID="tc_dtp_effDate" runat="server" Visible="false" CssClass="PanelTableValue">
                <telerik:RadDatePicker id="dtp_effDate" runat="server" Visible="false" ShowButton="False"
                    CausesValidation="True" />
            </asp:TableCell>
        </asp:TableRow>
        <asp:TableRow ID="tr_ThruDate" runat="server" Visible="false">
            <asp:TableCell ID="tc_lbl_thruDate" runat="server" Visible="false" CssClass="PanelTablePrompt">
                <asp:Label ID="lbl_thruDate" runat="server" Visible="false" AssociatedControlID="dtp_thruDate">Thru Date</asp:Label>
            </asp:TableCell>
            <asp:TableCell ID="tc_dtp_thruDate" runat="server" Visible="false" CssClass="PanelTableValue">
                <telerik:RadDatePicker id="dtp_thruDate" runat="server" Visible="false" ShowButton="False"
                    CausesValidation="True" />
            </asp:TableCell>
        </asp:TableRow>
        <asp:TableRow ID="tr_SubType" runat="server" Visible="false">
            <asp:TableCell ID="tc_lbl_subType" runat="server" Visible="false" CssClass="PanelTablePrompt">
                <asp:Label ID="lbl_subType" runat="server" Visible="false" AssociatedControlID="txt_subType">SubType</asp:Label>
            </asp:TableCell>
            <asp:TableCell ID="tc_dd_subType" runat="server" Visible="false" CssClass="PanelTableValue">
                <asp:DropDownList ID="dd_subType" runat="server" AutoPostBack="false" Visible="False"
                    CausesValidation="False">
                </asp:DropDownList>
                <asp:TextBox ID="txt_subType" runat="server" Visible="false"/>
            </asp:TableCell>
        </asp:TableRow>
        <asp:TableRow ID="tr_Description" runat="server" Visible="false">
            <asp:TableCell ID="tc_lbl_description" runat="server" Visible="false" CssClass="PanelTablePrompt">
                <asp:Label ID="lbl_description" runat="server" Visible="false" AssociatedControlID="txt_description">Description</asp:Label>
            </asp:TableCell>
            <asp:TableCell ID="tc_txt_description" runat="server" Visible="false" CssClass="PanelTableValue">
                <asp:TextBox ID="txt_description" runat="server" Visible="false"/>
            </asp:TableCell>
        </asp:TableRow>
        <asp:TableRow ID="tr_Note" runat="server" Visible="false">
            <asp:TableCell ID="tc_lbl_note" runat="server" Visible="false" CssClass="PanelTablePrompt">
                <asp:Label ID="lbl_note" runat="server" Visible="false" AssociatedControlID="txt_note">Note</asp:Label>
            </asp:TableCell>
            <asp:TableCell ID="tc_txt_note" runat="server" Visible="false" CssClass="PanelTableValue">
                <asp:TextBox ID="txt_note" runat="server" MaxLength="200000" Wrap="true" TextMode="MultiLine" Visible="false" CssClass="wvNote"/>
            </asp:TableCell>
        </asp:TableRow>
        <asp:TableRow ID="tr_FollowUp" runat="server" Visible="false">
            <asp:TableCell ID="tc_lbl_followUp" runat="server" Visible="false" CssClass="PanelTablePrompt">
                <asp:Label ID="lbl_followUp" runat="server" Visible="false" AssociatedControlID="txt_followUp">Follow Up</asp:Label>
            </asp:TableCell>
            <asp:TableCell ID="tc_txt_followUp" runat="server" Visible="false" CssClass="PanelTableValue">
                <asp:TextBox ID="txt_followUp" runat="server" MaxLength="200000" Wrap="true" TextMode="MultiLine" Visible="false" CssClass="wvNote"/>
            </asp:TableCell>
        </asp:TableRow>
        <asp:TableRow ID="tr_Source" runat="server" Visible="false">
            <asp:TableCell ID="tc_lbl_source" runat="server" Visible="false" CssClass="PanelTablePrompt">
                <asp:Label ID="lbl_source" runat="server" Visible="false" AssociatedControlID="txt_source">Source</asp:Label>
            </asp:TableCell>
            <asp:TableCell ID="tc_dd_source" runat="server" Visible="false" CssClass="PanelTableValue">
                <asp:DropDownList ID="dd_source" runat="server" AutoPostBack="False" Visible="false">
                </asp:DropDownList>
                <asp:TextBox ID="txt_source" runat="server" Visible="false"/>
            </asp:TableCell>
        </asp:TableRow>
        <asp:TableRow ID="tr_Tickler" runat="server" Visible="false">
            <asp:TableCell ID="tc_lbl_tickler" runat="server" Visible="false" CssClass="PanelTablePrompt">
                <asp:Label ID="lbl_tickler" runat="server" Visible="false" AssociatedControlID="dtp_tickler">Follow Up Date</asp:Label>
            </asp:TableCell>
            <asp:TableCell ID="tc_dtp_tickler" runat="server" Visible="false" CssClass="PanelTableValue">
                <telerik:RadDatePicker id="dtp_tickler" runat="server" Visible="false" ShowButton="False"
                    CausesValidation="True" />
            </asp:TableCell>
        </asp:TableRow>
        <asp:TableRow ID="tr_CEUType" runat="server" Visible="false">
            <asp:TableCell ID="tc_lbl_ceuType" runat="server" Visible="false" CssClass="PanelTablePrompt">
                <asp:Label ID="lbl_ceuType" runat="server" Visible="false" AssociatedControlID="txt_ceuType">CEU Type/Category</asp:Label>
            </asp:TableCell>
            <asp:TableCell ID="tc_dd_ceuType" runat="server" Visible="false" CssClass="PanelTableValue">
                <asp:DropDownList ID="dd_ceuType" runat="server" AutoPostBack="false" Visible="false">
                </asp:DropDownList>
                <asp:TextBox ID="txt_ceuType" runat="server" Visible="false"/>
            </asp:TableCell>
        </asp:TableRow>
        <asp:TableRow ID="tr_Amount" runat="server" Visible="false">
            <asp:TableCell ID="tc_lbl_amount" runat="server" Visible="false" CssClass="PanelTablePrompt">
                <asp:Label ID="lbl_amount" runat="server" Visible="false" AssociatedControlID="num_amount">Amount</asp:Label>
            </asp:TableCell>
            <asp:TableCell ID="tc_num_amount" runat="server" Visible="false" CssClass="PanelTableValue">
                <telerik:RadNumericTextBox ID="num_amount" runat="server" Visible="false" Value="0.00"
                    NumberFormat-DecimalDigits="2" NumberFormat-DecimalSeparator="." NumberFormat-PositivePattern="n"
                    NumberFormat-NegativePattern="-n" NumberFormat-AllowRounding="True">
                </telerik:RadNumericTextBox>
            </asp:TableCell>
        </asp:TableRow>
        <asp:TableRow ID="tr_Action" runat="server" Visible="false">
            <asp:TableCell ID="tc_lbl_action" runat="server" Visible="false" CssClass="PanelTablePrompt">
                <asp:Label ID="lbl_action" runat="server" Visible="false" AssociatedControlID="txt_action">Action(s)</asp:Label>
            </asp:TableCell>
            <asp:TableCell ID="tc_dd_action" runat="server" Visible="false" CssClass="PanelTableValue">
	            <asp:DropDownList ID="dd_action" runat="server" AutoPostBack="false" Visible="false">
                </asp:DropDownList>
                <asp:TextBox ID="txt_action" runat="server" Visible="false"/>
            </asp:TableCell>
        </asp:TableRow>
        <asp:TableRow ID="tr_Units" runat="server" Visible="false">
            <asp:TableCell ID="tc_lbl_units" runat="server" Visible="false" CssClass="PanelTablePrompt">
                <asp:Label ID="lbl_units" runat="server" Visible="false" AssociatedControlID="num_units">Units/Category</asp:Label>
            </asp:TableCell>
            <asp:TableCell ID="tc_num_units" runat="server" Visible="false" CssClass="PanelTableValue">
                <telerik:RadNumericTextBox ID="num_units" runat="server" Visible="false" Value="0.00"
                    NumberFormat-DecimalDigits="2" NumberFormat-DecimalSeparator="." NumberFormat-PositivePattern="n"
                    NumberFormat-NegativePattern="-n" NumberFormat-AllowRounding="True">
                </telerik:RadNumericTextBox>
            </asp:TableCell>
        </asp:TableRow>
        <asp:TableRow ID="tr_UF1" runat="server" Visible="false">
            <asp:TableCell ID="tc_lbl_uf1" runat="server" Visible="false" CssClass="PanelTablePrompt">
                <asp:Label ID="lbl_uf1" runat="server" Visible="false" AssociatedControlID="txt_uf1">UF1</asp:Label>
            </asp:TableCell>
            <asp:TableCell ID="tc_dd_uf1" runat="server" Visible="false" CssClass="PanelTableValue">
                <asp:DropDownList ID="dd_uf1" runat="server" AutoPostBack="false" Visible="false">
                </asp:DropDownList>
                <asp:TextBox ID="txt_uf1" runat="server" Visible="false"/>
            </asp:TableCell>
        </asp:TableRow>
        <asp:TableRow ID="tr_UF2" runat="server" Visible="false">
            <asp:TableCell ID="tc_lbl_uf2" runat="server" Visible="false" CssClass="PanelTablePrompt">
                <asp:Label ID="lbl_uf2" runat="server" Visible="false" AssociatedControlID="txt_uf2">UF2</asp:Label>
            </asp:TableCell>
            <asp:TableCell ID="tc_dd_uf2" runat="server" Visible="false" CssClass="PanelTableValue">
                <asp:DropDownList ID="dd_uf2" runat="server" AutoPostBack="false" Visible="false">
                </asp:DropDownList>
                <asp:TextBox ID="txt_uf2" runat="server" Visible="false"/>
            </asp:TableCell>
        </asp:TableRow>
        <asp:TableRow ID="tr_UF3" runat="server" Visible="false">
            <asp:TableCell ID="tc_lbl_uf3" runat="server" Visible="false" CssClass="PanelTablePrompt">
                <asp:Label ID="lbl_uf3" runat="server" Visible="false" AssociatedControlID="txt_uf3">UF3</asp:Label>
            </asp:TableCell>
            <asp:TableCell ID="tc_dd_uf3" runat="server" Visible="false" CssClass="PanelTableValue">
                <asp:DropDownList ID="dd_uf3" runat="server" AutoPostBack="false" Visible="false">
                </asp:DropDownList>
                <asp:TextBox ID="txt_uf3" runat="server" Visible="false"/>
            </asp:TableCell>
        </asp:TableRow>
        <asp:TableRow ID="tr_UF4" runat="server" Visible="false">
            <asp:TableCell ID="tc_lbl_uf4" runat="server" Visible="false" CssClass="PanelTablePrompt">
                <asp:Label ID="lbl_uf4" runat="server" Visible="false" AssociatedControlID="num_uf4">UF4</asp:Label>
            </asp:TableCell>
            <asp:TableCell ID="tc_num_uf4" runat="server" Visible="false" CssClass="PanelTableValue">
                <telerik:RadNumericTextBox ID="num_uf4" runat="server" Visible="false" Value="0.0000"
                    NumberFormat-AllowRounding="True" NumberFormat-DecimalDigits="4" NumberFormat-DecimalSeparator="."
                    NumberFormat-NegativePattern="-n" NumberFormat-PositivePattern="n">
                </telerik:RadNumericTextBox>
            </asp:TableCell>
        </asp:TableRow>
        <asp:TableRow ID="tr_UF5" runat="server" Visible="false">
            <asp:TableCell ID="tc_lbl_uf5" runat="server" Visible="false" CssClass="PanelTablePrompt">
                <asp:Label ID="lbl_uf5" runat="server" Visible="false" AssociatedControlID="num_uf5">UF5</asp:Label>
            </asp:TableCell>
            <asp:TableCell ID="tc_num_uf5" runat="server" Visible="false" CssClass="PanelTableValue">
                <telerik:RadNumericTextBox ID="num_uf5" runat="server" Visible="false" Value="0.0000"
                    NumberFormat-AllowRounding="True" NumberFormat-DecimalDigits="4" NumberFormat-DecimalSeparator="."
                    NumberFormat-NegativePattern="-n" NumberFormat-PositivePattern="n">
                </telerik:RadNumericTextBox>
            </asp:TableCell>
        </asp:TableRow>
        <asp:TableRow ID="tr_UF6" runat="server" Visible="false">
            <asp:TableCell ID="tc_lbl_uf6" runat="server" Visible="false" CssClass="PanelTablePrompt">
                <asp:Label ID="lbl_uf6" runat="server" Visible="false" AssociatedControlID="dtp_uf6">UF6</asp:Label>
            </asp:TableCell>
            <asp:TableCell ID="tc_dtp_uf6" runat="server" Visible="false" CssClass="PanelTableValue">
                <telerik:RadDatePicker id="dtp_uf6" runat="server" Visible="false" ShowButton="False"
                    CausesValidation="True" />
            </asp:TableCell>
        </asp:TableRow>
        <asp:TableRow ID="tr_UF7" runat="server" Visible="false">
            <asp:TableCell ID="tc_lbl_uf7" runat="server" Visible="false" CssClass="PanelTablePrompt">
                <asp:Label ID="lbl_uf7" runat="server" Visible="false" AssociatedControlID="dtp_uf7">UF7</asp:Label>
            </asp:TableCell>
            <asp:TableCell ID="tc_dtp_uf7" runat="server" Visible="false" CssClass="PanelTableValue">
                <telerik:RadDatePicker id="dtp_uf7" runat="server" Visible="false" ShowButton="False"
                    CausesValidation="True" />
            </asp:TableCell>
        </asp:TableRow>
        <asp:TableRow ID="tr_OtherCode" runat="server" Visible="false">
            <asp:TableCell ID="tc_lbl_otherCode" runat="server" Visible="false" CssClass="PanelTablePrompt">
                <asp:Label ID="lbl_otherCode" runat="server" Visible="false" AssociatedControlID="txt_otherCode">Other Code</asp:Label>
            </asp:TableCell>
            <asp:TableCell ID="tc_dd_otherCode" runat="server" Visible="false" CssClass="PanelTableValue">
                <asp:DropDownList ID="dd_otherCode" runat="server" AutoPostBack="false" Visible="false">
                </asp:DropDownList>
                <asp:TextBox ID="txt_otherCode" runat="server" Visible="false"/>
            </asp:TableCell>
        </asp:TableRow>
        <asp:TableRow ID="tr_COID" runat="server" Visible="false">
            <asp:TableCell ID="tc_lbl_coId" runat="server" Visible="false" CssClass="PanelTablePrompt">
                <asp:Label ID="lbl_coId" runat="server" Visible="false" AssociatedControlID="txt_coId">CO ID</asp:Label>
            </asp:TableCell>
            <asp:TableCell ID="tc_txt_coId" runat="server" Visible="false" CssClass="PanelTableValue">
                <asp:TextBox ID="txt_coId" runat="server" Visible="false"/>
            </asp:TableCell>
        </asp:TableRow>
        <asp:TableRow>
            <asp:TableCell ID="tc_lblMessage" runat="server" Visible="false" ColumnSpan="2" CssClass="wvActivityError">
                <asp:Label ID="lblMessage" runat="server" CssClass="Error" Visible="false" />
            </asp:TableCell>
        </asp:TableRow>
    </asp:Table>
    <div class="ButtonPanel">
        <div class="CommandBar">
            <asp:Button ID="btnSave" runat="server" OnClick="SaveClick" Text="Save" CssClass="TextButtonWithImage Save" />
            &nbsp;
            <asp:Button ID="btnCancel" runat="server" OnClick="CancelClick" Text="Cancel" CssClass="TextButtonWithImage Cancel" />
            &nbsp;
            <asp:Button ID="btnDelete" runat="server" OnClick="DeleteClick" Text="Delete" CssClass="TextButtonWithImage Delete" Enabled="false" />
        </div>
    </div>
</asp:Panel>